Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510472 - The journal logs are still in /run/log/jouranl
Summary: The journal logs are still in /run/log/jouranl
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.6.z
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 13:59 UTC by Anping Li
Modified: 2018-08-08 15:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-08 15:36:49 UTC


Attachments (Terms of Use)
installer logs (deleted)
2017-11-07 13:59 UTC, Anping Li
no flags Details

Description Anping Li 2017-11-07 13:59:52 UTC
Created attachment 1348968 [details]
installer logs

Description of problem:
Once install OCP with openshift-ansible-3.6.173.0.65, the fluentd couldn't collect journal logs. 
Only partial code was merged from https://github.com/openshift/openshift-ansible/pull/3753/files. The journald_vars_to_replace in roles/openshift_master/vars/main.yml wasn't merged to v3.6.  That result in the /var/log/jouranl was created, but journal was still writting to /run/log/journal. 



TASK [openshift_master : Update journald setup] *******************************************************************************************************************************************************************
task path: /usr/share/ansible/openshift-ansible/roles/openshift_master/tasks/journald.yml:11

TASK [openshift_master : Restart journald] ************************************************************************************************************************************************************************
task path: /usr/share/ansible/openshift-ansible/roles/openshift_master/tasks/journald.yml:23
skipping: [host-8-242-139.host.centralci.eng.rdu2.redhat.com] => {
    "changed": false,
    "skip_reason": "Conditional result was False",
    "skipped": true
}


Version-Release number of selected component (if applicable):
openshift-ansible-3.6.173.0.65


How reproducible:
always

Steps to Reproduce:
1. setup v3.6 Env via openshift-ansible-3.6.173.0.65

Actual results:
The journal logs are in /run/log/jouranl


Expected results:
The jouranl file are in /var/log/journal

Or Don't merge the PR openshift/openshift-ansible/pull/3753


Additional info:
systemctl restart systemd-journald

Comment 1 Anping Li 2017-12-01 08:27:56 UTC
I almost forget this bug until i hit this issue again.  Could we fix it soon?

Comment 4 Stephen Cuppett 2018-08-08 15:36:49 UTC
Latest PR was closed and did not make latest 3.6.z. At this point, we recomment fresh installs on 3.10. PR comment indicates correct fix is already present in 3.7. Will focus our efforts on upgrades from 3.6->3.11. Closing as NEXTRELEASE with fix already available in 3.7.


Note You need to log in before you can comment on or make changes to this bug.